Quantcast
Download
(70 Kb)
Download
Updated: 06/01/21 06:10 AM
Pictures
File Info
Compatibility:
Blackwood (7.0.5)
Flames of Ambition (6.3.5)
Markarth (6.2.5)
Stonethorn (6.1.5)
Greymoor (6.0.5)
Updated:06/01/21 06:10 AM
Created:10/15/18 11:41 AM
Monthly downloads:13,759
Total downloads:414,501
Favorites:159
MD5:
7.0.5
LibZone  Popular! (More than 5000 hits)
Version: 7.4
by: Baertram [More]
LibZone
A library to help with zone information.
It contains:
-Localized zone names for the languages DE, EN, FR, RU
and partially translated zoneNames of the languages: JP, PL
-ZoneId, ZoneIndex, ZoneParentId

And to help with translations of zone names between different languages:
This library needs the library LibSlashCommander installed seperately if you want to use the zone name translations with chat commands!

Use one of the following slash commands in your chat (only if 'LibSlashCommander' is active!):
Code:
-Added: Slash commans /lzt or /transz:
Enter a zone name afterwards (in your client language) or choose it from the autocompletion list.
Press tab or space to chose the zonename, and you'll see another auto completion which will provide you the translations of this zone to other languages.
Chosing an entry will put the translated zone name into the chat.

-Added slash commands to search in your desired language:
/lztde or /transzde: German
/lzten or /transzen: English
/lztfr or /transzfr: French
/lztjp or /transzjp: Japanese
/lztru or /transzru: Russian
/lztpl or /transzpl: Polish
Usage
-Download, use as standalone library or keep (otherwise the SavedVariables are lost!) the manifest txt file and just use the library file within your addon.
-Load the library within your addon code using the global variable LibZone
LibStub support was removed with version 6.3 so make sure to ONLY load the library via it's global variable "LibZone"
Lua Code:
  1. local libZone = LibZone

Please add the dependency to your addon's manifest txt file using the addonversion 069 to make sure the users install at least this version to be access via the global variable:
Code:
## DependsOn: LibZone>=069
-> This will make your addon stop loading if the library is missing or installed with a version < then 6.9.
Code:
## OptionalDependsOn: LibZone>=069
-> This will make your addon load if the library is missing or installed with a version < then 6.9, but it WILL throw error messages if you try to load it via LibStub and might throw other error messages.



Where is the data?
Your instance of LibZone contains 2 tables.
1. for the localized data:
Code:
LibZone.preloadedZoneNames[language][zoneId] = "Localized name of the zone"
-> Do NOT access this table directly but use the API function LibZone:GetAllZoneData() instead!

-> Language = String, length 2. Example: "en", "de", "fr", "ru"
-> ZoneId = The zone's unique id which you are able to get via some API function like these ones:
Code:
* GetMapInfo(*luaindex* _index_)
** _Returns:_ *string* _name_, *[UIMapType|#UIMapType]* _mapType_, *[MapContentType|#MapContentType]* _mapContentType_, *integer* _zoneId_, *string* _description_

* GetGuildMemberCharacterInfo(*integer* _guildId_, *luaindex* _memberIndex_)
** _Returns:_ *bool* _hasCharacter_, *string* _characterName_, *string* _zoneName_, *integer* _classType_, *integer* _alliance_, *integer* _level_, *integer* _championRank_, *integer* _zoneId_

* GetFriendCharacterInfo(*luaindex* _friendIndex_)
** _Returns:_ *bool* _hasCharacter_, *string* _characterName_, *string* _zoneName_, *integer* _classType_, *integer* _alliance_, *integer* _level_, *integer* _championRank_, *integer* _zoneId_
2. for the non localized data:
Code:
LibZone.zoneData[zoneId] = {
  ["zoneIndex"]      = zoneIndex,
  ["parentZone"]    = zoneId of the parent Zone
}
->zoneIndex = The zoneIndex which can be determined via some API functions like these ones:
Code:
* GetCurrentMapZoneIndex()
** _Returns:_ *luaindex* _zoneIndex_

* GetZoneIndex(*integer* _zoneId_)
** _Returns:_ *luaindex* _zoneIndex_
->zoneId = see above

Data:
The file LibZone_Data.lua contains the localized zone names of the supported languages.

LibZone API functions
Please check this file for the gfiven API functions:
The file LibZone.lua contains functions to read this, and the other information, for your addons.
e.g.
Code:
--Returns: Returns the preloaded zoneData with all available languages as table.
function lib:GetAllZoneData()

Building new zoneData on PTS e.g. -> SavedVariables
This function will build new zone data and save them to the savedvariables. It will use the current client's language and will be run once as the library loads. So if you are playing on a non-official client language the data will be read and added to your savedvariables.
Code:
--Check and get all zone's data and save them to the SavedVariables
--Parameters:
-->reBuildNew: Boolean [true=Rebuild the zoneData for all zones, even if they already exist / false=Skip already existing zoneIds]
-->doReloadUI: Boolean [true=If at least one zoneId was added/updated, do a ReloadUI() at the end to update the SavedVariables now / false=No automatic ReloadUI()]
function lib:GetAllZoneDataById(reBuildNew, doReloadUI)

GitHub
LibZone on Github
7.4
-Updated API to Blackwood
-Added new zone info of Blackwood
-Changed API function GetZoneNameByLocalizedSearchString to allow return = search language

7.2
Removed debug message

7.1
-Updated API version for Flames of Ambition
-Added/changed preloaded zone data
-Added automatically check for zoneIds which are not known yet at an APIversion -> Will be removed from the preloaded zonedata as long as the zoneIds do not exist ingame

7.0
-API100032 + 100033 Markarth ready

6.9
-API100031 + 100032 Stonethorn ready

6.8
-API100030 + 100031 Greymoor ready

-Added functions:
--Get the zone and subZone string from the given map's tile texture (or the current's map's tile texture name)
--> Returns: string zoneName, string subZoneName, string mapTileTextureNameLowerCase, string mapTileTextureNameUnchangedComplete
function lib:GetZoneNameByMapTexture(mapTileTextureName, patternToUse, chatOutput)

--Get the current map's zoneIndex and via the index get the zoneId, the parent zoneId, and return them
--+ the current zone's index and parent zone index
--> Returns: number currentZoneId, number currentZoneParentId, number currentZoneIndex, number currentZoneParentIndex
function lib:GetCurrentZoneIds()

6.7
Updated API properly
Removed entries with lastScanned and APIVersion in translated zoneId data

6.6
Rescanned DE, EN, FR translations as some values from PTS contained dummy names (e.g. Unhallowed Grave)

6.5
Updated API to Harrowstorm
Added new zonedata in de, en, fr languages

6.4
Updated preloaded Japanese translations. Thanks to: Calamath

6.3
Fixed: New scanned zoneNames in client language were not added to the preScanned data properly and the API functions did not find them.
Added: Prescanned zonedata for Southern Elsweyr (de, en, fr, ru)
API function GetMaxZoneId which will return as 1st parameter the maximum possible zoneId and as 2nd parameter the maximum possible zoneIndex.
Removed: LibStub support. Please only load this library via it's global variable "LibZone" now!

6.2
API update for Dragonhold.
Added new zone data of Elsweyr south.

6.1
Made LibSlashCommander optional. If the library is not installed/activated you cannot use the slash commands to translate zone names in chat!
But you still got access to the zone data via LibZone's API functions.

6
-Raised API
-Removed table LibZone.givenZoneData -> Please use the API function LibZone:GetAllZoneData() instead!
-Fixed translations for some zones
-Added new zones
-Preloaded the data for each zone in different languages.
-SavedVariables will NOT contain the whole zoneNames anymore! This will speed up the loading.
Only the unknown/non translated zoneNames will be written to the SavedVariables autoamtically now.
If you want to provide me your client's language zoneNames you can provide me your SavedVariables file "LibZone.lua".
The following languages are up 2 date: DE, EN, FR
The following languages need updates: JP, RU, PL
All other languages are missing so far.

5
-Raised API
-Added ##IsLibrary: true manifest TXT tag
-Made the library work without LibStub and with.
You can use the global variable
Code:
LibZone
to access it without LibStub.
-Added Elsweyr zone names for de, en and fr. If you are using the pl, jp or ru clients send me the new zoneIds with their translations from your LibZone.lua SavedVariables please.

0.4
-Removed LibStub from the libs subfolder
-Removed the libs subfolder. This library needs the following libraries installed as standalone versions:
LibStub LibSlashCommander

-Updated Japanese translations
-Added Polish translations and chat commands: /lztpl or /transzpl
Thankls for provided the translations!

0.3
-Fixed localized zone data overwritten (corrected manifest txt)
-Added Japanese translations
-Added Russian translations
-Added ## AddOnVersion tag to manifest txt
-Added function to get localized zoneNames and their zoneIds by help of a search String (zone name) and search language:
--Get the localized zone names matching to a localized search string
-->searchStr: The String with the search value of a zone name (using searchLanguage)
-->searchLanguage: The langauge to search the searchStr variable in Format example: "en". Can be nil (<nilable>)! If the searchLangauge is nil the client language will be taken as searchLanguage.
-->returnLanguage: The language for the translated results. e.g. you search for "Ostmar" with search language "de" and the return language "en". The result will be the "Eastmarch" zone.
--->Returns table containing the zoneId as table key and the localized (in language: returnLanguage) full zone name, matching to the search string, as table value
function lib:GetZoneNameByLocalizedSearchString(searchStr, searchLanguage, returnLanguage)

-Added: Slash commans /lzt or /transz:
Enter a zone name afterwards (in your client language) or choose it from the autocompletion list.
Press tab or space to chose the zonename, and you'll see another auto completion which will provide you the translations of this zone to other languages.
Chosing an entry will put the translated zone name into the chat.

-Added slash commands to search in your desired language:
/lztde or /transzde: German
/lzten or /transzen: English
/lztfr or /transzfr: French
/lztjp or /transzjp: Japanese
/lztru or /transzru: Russian
Optional Files (0)


Archived Files (16)
File Name
Version
Size
Uploader
Date
7.2
69kB
Baertram
03/07/21 01:57 PM
7.1
69kB
Baertram
03/07/21 11:43 AM
7.0
68kB
Baertram
10/11/20 04:34 PM
6.9
67kB
Baertram
08/09/20 07:27 AM
6.8
67kB
Baertram
05/07/20 04:27 PM
6.8
65kB
Baertram
03/14/20 12:58 PM
6.6
65kB
Baertram
03/14/20 12:12 PM
6.5
65kB
Baertram
02/24/20 04:54 AM
6.4
61kB
Baertram
12/23/19 09:33 AM
6.3
60kB
Baertram
11/03/19 11:12 AM
6.2
59kB
Baertram
10/21/19 08:28 AM
6.1
59kB
Baertram
08/23/19 11:08 AM
6
58kB
Baertram
08/23/19 10:16 AM
5
56kB
Baertram
05/05/19 12:41 PM
0.4
48kB
Baertram
01/25/19 09:25 AM
0.2
29kB
Baertram
10/15/18 11:41 AM


Post A Reply Comment Options
Unread 05/17/21, 02:30 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3597
File comments: 4419
Uploads: 68
Thanks, will update it with the Blackwood update then.
Report comment to moderator  
Reply With Quote
Unread 05/16/21, 08:35 AM  
SimonIllyan
 
SimonIllyan's Avatar
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 172
Uploads: 1
Tried that, nothing bad happened.

Originally Posted by Baertram
Hi SimonIllyan,
it might have had a reason, but as I did not mention it in the comments I'm not sure which one anymore
Perhaps there were created endless loops or whatever in an earlier state.

Could you try to raise the AddOnVersion in LibZoone.txt to a higher value so that your local copy is always loaded, and then remove the assert and test it a bit.
If everything works out well I'll release an update with the assert removed.

Originally Posted by SimonIllyan
Hello,
I have a question regarding function GetZoneNameByLocalizedSearchString: why do you explicitly (using assert) forbid using returnLanguage equal to searchLanguage?
I was going to use this function to find the id and name of a first zone matching the search string, regardless of the current language, like this:
Code:
zoneId, zoneName = next(GetZoneNameByLocalizedSearchString(nameFragment, currentLanguage, currentLanguage))
but this does not work. Of course, workaround is simple, but my curiosity was piqued - why have you even bothered to use this assertion?
Report comment to moderator  
Reply With Quote
Unread 04/15/21, 08:43 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3597
File comments: 4419
Uploads: 68
Hi SimonIllyan,
it might have had a reason, but as I did not mention it in the comments I'm not sure which one anymore
Perhaps there were created endless loops or whatever in an earlier state.

Could you try to raise the AddOnVersion in LibZoone.txt to a higher value so that your local copy is always loaded, and then remove the assert and test it a bit.
If everything works out well I'll release an update with the assert removed.

Originally Posted by SimonIllyan
Hello,
I have a question regarding function GetZoneNameByLocalizedSearchString: why do you explicitly (using assert) forbid using returnLanguage equal to searchLanguage?
I was going to use this function to find the id and name of a first zone matching the search string, regardless of the current language, like this:
Code:
zoneId, zoneName = next(GetZoneNameByLocalizedSearchString(nameFragment, currentLanguage, currentLanguage))
but this does not work. Of course, workaround is simple, but my curiosity was piqued - why have you even bothered to use this assertion?
Report comment to moderator  
Reply With Quote
Unread 04/14/21, 04:08 PM  
SimonIllyan
 
SimonIllyan's Avatar
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 172
Uploads: 1
Hello,
I have a question regarding function GetZoneNameByLocalizedSearchString: why do you explicitly (using assert) forbid using returnLanguage equal to searchLanguage?
I was going to use this function to find the id and name of a first zone matching the search string, regardless of the current language, like this:
Code:
zoneId, zoneName = next(GetZoneNameByLocalizedSearchString(nameFragment, currentLanguage, currentLanguage))
but this does not work. Of course, workaround is simple, but my curiosity was piqued - why have you even bothered to use this assertion?
Report comment to moderator  
Reply With Quote
Unread 10/31/19, 11:12 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3597
File comments: 4419
Uploads: 68
Attention:
LibZone will be removing LibStub compatibility.
Please change your addon's to NOT use LibStub for LibZone anymore but load it via the global variable
Code:
LibZone
instead!

Update date: Sunday 03.11.2019
Last edited by Baertram : 11/03/19 at 11:13 AM.
Report comment to moderator  
Reply With Quote
Unread 10/10/19, 10:20 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3597
File comments: 4419
Uploads: 68
You can also try this on the live server if you want to test if it's compatible.
Last edited by Baertram : 10/31/19 at 11:11 AM.
Report comment to moderator  
Reply With Quote
Unread 08/23/19, 10:18 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3597
File comments: 4419
Uploads: 68
Version 6:
-Removed table LibZone.givenZoneData -> Please use the API function LibZone:GetAllZoneData() instead!

So if you have reference the table directly in your addon change the code to the appropriate API function LibZone:GetAllZoneData() please.
Last edited by Baertram : 08/23/19 at 10:26 AM.
Report comment to moderator  
Reply With Quote
Unread 05/19/19, 12:05 PM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3597
File comments: 4419
Uploads: 68
Re: Re: Re: Re: Re: Re: even with out of date addon checked, this library would not load

I can only say: Maybe
Not sure, sometimes it works, sometimes it doesn't.
You can only try to rebuild it with manualy freshly installed addons + libraies (the affected ones) I guess.

Originally Posted by Anceane
Unfortunatly i was not in the game at all when i installed the libs.

The only other thing i did is that i updated also at the same time a lot of addons ( 15 or 16)

May be that was a bit too much at the same time ?


Originally Posted by Baertram
Unfortunately this is no real solution, just a workaround.
This shouldn't happen!

At least not if you are logged out before updating the libraries. If you are logged in and do reloadui it might be the problem. So always logout ebfore updating libraries or addons, is the best approach to fix ingame stuff with non-loading addons + dependencies.

Originally Posted by Gamer1986PAN
Right, i hadn't read it carefully enough. I just wanted to throw in a possible "unprecise" solution till i come back. Luckyly you already solved it and if someone is asking in our comment section about that issue we know a fast solution how to help, because of you. Thanks for that.

Originally Posted by Anceane
i think you misread what i explained All those libraries are actually as standalone in my addons folder.

Included the two i mentionned.

Though to have those two aknowlegded by the game, i had to update the api to 100026 100027, Thought we did not had to do that as users. (and yes the out of date was checked)

The problem was not with beammeup but the outdated library (those are also used by Writworthy, pet health)

And, Libzone would not actually load considering missing the Libslashcommander lib though present in the folder but considered by the game as not a good version
Report comment to moderator  
Reply With Quote
Unread 05/19/19, 10:19 AM  
Anceane
 
Anceane's Avatar

Forum posts: 272
File comments: 897
Uploads: 0
Re: Re: Re: Re: Re: even with out of date addon checked, this library would not load

Unfortunatly i was not in the game at all when i installed the libs.

The only other thing i did is that i updated also at the same time a lot of addons ( 15 or 16)

May be that was a bit too much at the same time ?


Originally Posted by Baertram
Unfortunately this is no real solution, just a workaround.
This shouldn't happen!

At least not if you are logged out before updating the libraries. If you are logged in and do reloadui it might be the problem. So always logout ebfore updating libraries or addons, is the best approach to fix ingame stuff with non-loading addons + dependencies.

Originally Posted by Gamer1986PAN
Right, i hadn't read it carefully enough. I just wanted to throw in a possible "unprecise" solution till i come back. Luckyly you already solved it and if someone is asking in our comment section about that issue we know a fast solution how to help, because of you. Thanks for that.

Originally Posted by Anceane
i think you misread what i explained All those libraries are actually as standalone in my addons folder.

Included the two i mentionned.

Though to have those two aknowlegded by the game, i had to update the api to 100026 100027, Thought we did not had to do that as users. (and yes the out of date was checked)

The problem was not with beammeup but the outdated library (those are also used by Writworthy, pet health)

And, Libzone would not actually load considering missing the Libslashcommander lib though present in the folder but considered by the game as not a good version
__________________
Report comment to moderator  
Reply With Quote
Unread 05/19/19, 10:06 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3597
File comments: 4419
Uploads: 68
Re: Re: Re: Re: even with out of date addon checked, this library would not load

Unfortunately this is no real solution, just a workaround.
This shouldn't happen!

At least not if you are logged out before updating the libraries. If you are logged in and do reloadui it might be the problem. So always logout ebfore updating libraries or addons, is the best approach to fix ingame stuff with non-loading addons + dependencies.

Originally Posted by Gamer1986PAN
Right, i hadn't read it carefully enough. I just wanted to throw in a possible "unprecise" solution till i come back. Luckyly you already solved it and if someone is asking in our comment section about that issue we know a fast solution how to help, because of you. Thanks for that.

Originally Posted by Anceane
i think you misread what i explained All those libraries are actually as standalone in my addons folder.

Included the two i mentionned.

Though to have those two aknowlegded by the game, i had to update the api to 100026 100027, Thought we did not had to do that as users. (and yes the out of date was checked)

The problem was not with beammeup but the outdated library (those are also used by Writworthy, pet health)

And, Libzone would not actually load considering missing the Libslashcommander lib though present in the folder but considered by the game as not a good version
Report comment to moderator  
Reply With Quote
Unread 05/19/19, 10:01 AM  
Gamer1986PAN
AddOn Author - Click to view AddOns

Forum posts: 84
File comments: 504
Uploads: 2
Re: Re: Re: even with out of date addon checked, this library would not load

Right, i hadn't read it carefully enough. I just wanted to throw in a possible "unprecise" solution till i come back. Luckyly you already solved it and if someone is asking in our comment section about that issue we know a fast solution how to help, because of you. Thanks for that.

Originally Posted by Anceane
i think you misread what i explained All those libraries are actually as standalone in my addons folder.

Included the two i mentionned.

Though to have those two aknowlegded by the game, i had to update the api to 100026 100027, Thought we did not had to do that as users. (and yes the out of date was checked)

The problem was not with beammeup but the outdated library (those are also used by Writworthy, pet health)

And, Libzone would not actually load considering missing the Libslashcommander lib though present in the folder but considered by the game as not a good version
__________________
Co-Author of the Addon BeamMeUp - feel free to check it out.


BankManagerRevived Slim Edition
- changed profiles to accountwide in order to have better performance with BMR and added 4 different global addon profiles for better overview -
most of the working mechancis are created from the original BMR authors - credits to orignal authors
Last edited by Gamer1986PAN : 05/19/19 at 10:01 AM.
Report comment to moderator  
Reply With Quote
Unread 05/19/19, 09:56 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3597
File comments: 4419
Uploads: 68
Re: Re: Re: even with out of date addon checked, this library would not load

So you had to manually change the ##APIVersion: Tag in the LibSlashCommander.txt file to 100026 100027 in order to let the live servers load this library properly, even if the "Load out of date" checkbox was enabled?
This shouldn't happen, no.
If BeamMeUp got the following entry within it's BeamMeUp.txt,
##DependsOn: LibZone
and LibZone got the following entry in it's LibZone.txt
##DependsOn: LibSlashCommander
-> Checked this: Yes it is in the txt file of current LibZone v5.
everything should be handled via the eso ingame addon manager properly, and load properly in the order
LibSlashCommand -> LibZone -> BeamMeUp (dependencies looked up and followed).

If this does not happen there is somehwere a bug in the ingame addon manager or you might got different versions of the libraries installed (as standalone, and as subfolder version e.g. inside another addon where there is NOT a standalone LibLashCommander.txt or LibZone.txt, and where the other addons's txt file, e.g. OtherAddon.txt, got the entry like "/libs/LibSlashCommander/LibSlashCommander.lua".
So it is not loaded via it's own txt file and though loaded with whatever version this bundled subfolder version got.

If the library is installed as a standalone lib there is the ##AddOnVersion: tag as well (or hopefully it is in theer) which assures only the newest version is loaded ingame. If the library does not use LibStub!
Or else if it uses LibStub, LibStub will load the highest version, also if it's only bundled in a subfolder without own txt file.

So not sure what happened here for you but I guess you got either LibZone or LibSlashCommander instaleld multiple times and maybe not the newest version will be loaded or two versions are?

Originally Posted by Anceane
i think you misread what i explained All those libraries are actually as standalone in my addons folder.

Included the two i mentionned.

Though to have those two aknowlegded by the game, i had to update the api to 100026 100027, Thought we did not had to do that as users. (and yes the out of date was checked)

The problem was not with beammeup but the outdated library (those are also used by Writworthy, pet health)

And, Libzone would not actually load considering missing the Libslashcommander lib though present in the folder but considered by the game as not a good version

Originally Posted by Gamer1986PAN
Originally Posted by Anceane
Even with the out of date checked, to be able to use the addon Beammeup, i had to force update api on this library and the one called


https://www.esoui.com/downloads/info...Commander.html

Do i need to do more ?
As you can see in BeamMeUp Addon Info this are all the librarys you need to install:

Dependencies:
FROM v1.5 ALL LIBRARIES ARE OUTSOURCED! YOU NEED TO INSTALL THE FOLLOWING LIBRARIES SEPARATELY:

LibAddonMenu-2.0
LibDialog
LibMapPing
LibCustomMenu
LibSlashCommander
LibZone


Feel free to write comments in the BeamMeUp comment section if you have trouble with it.
Last edited by Baertram : 05/19/19 at 09:57 AM.
Report comment to moderator  
Reply With Quote
Unread 05/19/19, 07:11 AM  
Anceane
 
Anceane's Avatar

Forum posts: 272
File comments: 897
Uploads: 0
Re: Re: even with out of date addon checked, this library would not load

i think you misread what i explained All those libraries are actually as standalone in my addons folder.

Included the two i mentionned.

Though to have those two aknowlegded by the game, i had to update the api to 100026 100027, Thought we did not had to do that as users. (and yes the out of date was checked)

The problem was not with beammeup but the outdated library (those are also used by Writworthy, pet health)

And, Libzone would not actually load considering missing the Libslashcommander lib though present in the folder but considered by the game as not a good version

Originally Posted by Gamer1986PAN
Originally Posted by Anceane
Even with the out of date checked, to be able to use the addon Beammeup, i had to force update api on this library and the one called


https://www.esoui.com/downloads/info...Commander.html

Do i need to do more ?
As you can see in BeamMeUp Addon Info this are all the librarys you need to install:

Dependencies:
FROM v1.5 ALL LIBRARIES ARE OUTSOURCED! YOU NEED TO INSTALL THE FOLLOWING LIBRARIES SEPARATELY:

LibAddonMenu-2.0
LibDialog
LibMapPing
LibCustomMenu
LibSlashCommander
LibZone


Feel free to write comments in the BeamMeUp comment section if you have trouble with it.
__________________
Report comment to moderator  
Reply With Quote
Unread 05/19/19, 06:38 AM  
Gamer1986PAN
AddOn Author - Click to view AddOns

Forum posts: 84
File comments: 504
Uploads: 2
Re: even with out of date addon checked, this library would not load

Originally Posted by Anceane
Even with the out of date checked, to be able to use the addon Beammeup, i had to force update api on this library and the one called


https://www.esoui.com/downloads/info...Commander.html

Do i need to do more ?
As you can see in BeamMeUp Addon Info this are all the librarys you need to install:

Dependencies:
FROM v1.5 ALL LIBRARIES ARE OUTSOURCED! YOU NEED TO INSTALL THE FOLLOWING LIBRARIES SEPARATELY:

LibAddonMenu-2.0
LibDialog
LibMapPing
LibCustomMenu
LibSlashCommander
LibZone


Feel free to write comments in the BeamMeUp comment section if you have trouble with it.
__________________
Co-Author of the Addon BeamMeUp - feel free to check it out.


BankManagerRevived Slim Edition
- changed profiles to accountwide in order to have better performance with BMR and added 4 different global addon profiles for better overview -
most of the working mechancis are created from the original BMR authors - credits to orignal authors
Report comment to moderator  
Reply With Quote
Unread 05/18/19, 06:09 PM  
Anceane
 
Anceane's Avatar

Forum posts: 272
File comments: 897
Uploads: 0
even with out of date addon checked, this library would not load

Even with the out of date checked, to be able to use the addon Beammeup, i had to force update api on this library and the one called


https://www.esoui.com/downloads/info...Commander.html

Do i need to do more ?
__________________
Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump: